#!/bin/ksh

# build environment sanity check.  Use subshell due to "." command.

( 
  die ()
  {
    echo $* >&2
    exit 1
  }

  . ./globals.sh

# my_uid=`id -u`
# [ "$my_uid" = "0" ] || die script must be run as root
  # not necessarily true, but this scipt only tested as root.  You
  # can build and install to a non system directory as a non-root user.
  # But you need root assistance to overide the ARG_MAX and
  # /usr/bin/ksh

  [ -f /usr/ccs/bin/CC ] || die development system not installed
  [ -f $BUILDROOT/xenv/bin/CC ] || die xenv/bin programs missing see xenv/src/makebins.sh
  [ -f $BUILDROOT/xenv/include/sys/stat.h ] && {
     mv $BUILDROOT/xenv/include/sys/stat.h $BUILDROOT/xenv/include/sys/stat.h.00
  }

# c1=`cksum </usr/bin/ksh`
# c2=`cksum </u95/bin/ksh`
# [ "$c1" = "$c2" ] || die /usr/bin/ksh and /u95/bin/ksh differ

# arg_max=`/etc/conf/bin/idtune -g -c ARG_MAX | awk '{print $1}'`
# [ $arg_max -ge 524288 ] || die ARG_MAX must be increased

  exit 0
) || exit 1


#BUILD_ORDER="audiofile qt arts kdelibs kdebase kdenetwork kdepim kdeaccessibility kdeartwork kdegraphics kdemultimedia kdeaddons kdeutils"
#BUILD_ORDER="arts kdelibs kdebase kdenetwork kdeaccessibility kdeartwork kdegraphics kdemultimedia kdeaddons kdeutils"
BUILD_ORDER="qt"

for ospkg in $BUILD_ORDER; do
  ksh -c "cd $ospkg && . ./SCOenv && untar_it && patch_it && config_it && build_it && install_it" || exit 1
done
